Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.connector
Class RepositoryConnectionPool.ConnectionWrapper

    java.lang.Object
      org.modeshape.graph.connector.RepositoryConnectionPool.ConnectionWrapper

All Implemented Interfaces:
  RepositoryConnection

Enclosing class:
  RepositoryConnectionPool

    protected class RepositoryConnectionPool.ConnectionWrapper

extends Object
implements RepositoryConnection

Constructor Summary
`protected` | `RepositoryConnectionPool.ConnectionWrapper(RepositoryConnection connection)`

Method Summary
`void` | `close()` Close this connection to signal that it is no longer needed and that any accumulated resources are to be released.
`void` | `execute(ExecutionContext context, Request request)` Execute the supplied commands against this repository source.
`CachePolicy` | `getDefaultCachePolicy()` Get the default cache policy for this repository.
`protected RepositoryConnection` | `getOriginal()`
`String` | `getSourceName()` Get the name for this repository source.
`long` | `getTimeCreated()`
`long` | `getTimeLastUsed()`
`XAResource` | `getXAResource()` Return the transactional resource associated with this connection.
`boolean` | `ping(long time, TimeUnit unit)` Ping the underlying system to determine if the connection is still valid and alive.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryConnectionPool.ConnectionWrapper

    protected RepositoryConnectionPool.ConnectionWrapper(RepositoryConnection connection)

Method Detail

### getOriginal

    protected RepositoryConnection getOriginal()

  Returns:
    original

### getTimeLastUsed

    public long getTimeLastUsed()

  Returns:
    lastUsed

### getTimeCreated

    public long getTimeCreated()

  Returns:
    timeCreated

### getSourceName

    public String getSourceName()

  Get the name for this repository source. This value should be the same as that `returned` by the same `RepositorySource` that created this connection.

  Specified by:
    `getSourceName` in interface `RepositoryConnection`
  Returns:
    the identifier; never null or empty

### getXAResource

    public XAResource getXAResource()

  Return the transactional resource associated with this connection. The transaction manager will use this resource to manage the participation of this connection in a distributed transaction.

  Specified by:
    `getXAResource` in interface `RepositoryConnection`
  Returns:
    the XA resource, or null if this connection is not aware of distributed transactions

### getDefaultCachePolicy

    public CachePolicy getDefaultCachePolicy()

  Get the default cache policy for this repository. If none is provided, a global cache policy will be used.

  Specified by:
    `getDefaultCachePolicy` in interface `RepositoryConnection`
  Returns:
    the default cache policy

### execute

    public void execute(ExecutionContext context,
                        Request request)
                 throws RepositorySourceException

  Execute the supplied commands against this repository source.

  Specified by:
    `execute` in interface `RepositoryConnection`
  Parameters:
    `context` - the environment in which the commands are being executed; never null
    `request` - the request to be executed; never null
  Throws:
    `RepositorySourceException` - if there is a problem loading the node data
  See Also:
    `RepositoryConnection.execute(org.modeshape.graph.ExecutionContext, org.modeshape.graph.request.Request)`

### ping

    public boolean ping(long time,
                        TimeUnit unit)
                 throws InterruptedException

  Ping the underlying system to determine if the connection is still valid and alive.

  Specified by:
    `ping` in interface `RepositoryConnection`
  Parameters:
    `time` - the length of time to wait before timing out
    `unit` - the time unit to use; may not be null
  Returns:
    true if this connection is still valid and can still be used, or false otherwise
  Throws:
    `InterruptedException` - if the thread has been interrupted during the operation

### close

    public void close()

  Close this connection to signal that it is no longer needed and that any accumulated resources are to be released.

  Specified by:
    `close` in interface `RepositoryConnection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.